package
{
	import flash.display.DisplayObjectContainer;
	
	import org.robotlegs.core.IContext;
	import org.robotlegs.mvcs.Context;
	
	import view.BasicMediator;
	import view.ViewComponentBase;
	import view.ViewComponentImpl;
	
	public class TestContext extends Context implements IContext
	{
		public function TestContext(contextView:DisplayObjectContainer, autoStartup:Boolean=true)
		{
			//this is part of my config, I don't think it makes a diference...
			super(contextView, false);
			startup();
		}
		
		override public function startup() : void{
			
			//doesn't work but also does not prevent the error 
			//to get the state from the end of my initial post uncomment the next line
			mediatorMap.mapView(ViewComponentBase,BasicMediator);
			
			//does work
			mediatorMap.mapView(ViewComponentImpl,BasicMediator);
			
			
			super.startup();
		}
	}
}