package view
{
	import flash.utils.getQualifiedClassName;
	
	import org.robotlegs.core.IMediator;
	import org.robotlegs.mvcs.Mediator;
	
	public class BasicMediator extends Mediator implements IMediator
	{
		public function BasicMediator(){}
		
		//doesn't work
		//[Inject]
		//public var viewTest:ViewComponentBase;
		
		//works
		[Inject]
		public var viewTest:ViewComponentImpl;
		
		override public function onRegister() : void{
			trace(getQualifiedClassName(this)+".onRegister()");
			
			// by default name of my components is always "view" when I do this here it complains:
			//1061: Aufruf für eine möglicherweise nicht definierte Methode setText über einen Verweis mit statischem Typ view:BasicMediator.
			//(i try a translation) Call of an undefined method setText with a link of the static type view:BasicMediator.
			//but view is of type ViewComponentBase/-Impl, not of type BaseMediator... could this have something to do with my error?
			
			this.viewTest.setText("Now I'm mediated");
		}		
	}
}